Version of vagrant and confirguation of virtual box

Hi All,

Following the notes provided in Chapter 0 -> Lecture Setting up Vagrant environment, I have downloaded and installed virtual box 5.2.22. which version of vagrant do I need to download?
Where can I find detailed information about configuring vagrant+ Virtual box for smooth start of work/labs mentioned in the lecutre. I am using windows 7.

Thanks.

You basically don’t have to configure anything manually.

  • You download and install VBox and Vagrant.
  • You download the Vagrant config files from the M103 handouts.
  • You run “vagrant up” and the config will take care of the rest.

All the instructions you need are in chapter 0. Literally everything. No need for anything else.

1 Like

Hi,
I have downloaded and installed Virtual Box.

Which version of vagrant I need to install?

During installation of MinGW, I get error.

Please help.

Thanks,

Harish

[quote=“Harish_20733, post:3, topic:4810”]
Which version of vagrant I need to install?[/quote]
The instructions basically point you towards the most recent version. Just grab whichever is available at the official download site.

At the risk of stating the obvious: what is the error? Could you show it here please?